Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://fedilab.app/
SourceCode: https://codeberg.org/tom79/Fedilab
IssueTracker: https://codeberg.org/tom79/Fedilab/issues
Translation: https://hosted.weblate.org/projects/fedilab/
Changelog: https://codeberg.org/tom79/Fedilab/tags
Donate: https://www.paypal.com/paypalme/Mastalab
Liberapay: tom79
OpenCollective: fedilab
Bitcoin: 3JDoJV7qf8fcmrUeYbT7hrH91PUQpg8HhS

AutoName: Fedilab

RepoType: git
Repo: https://codeberg.org/tom79/Fedilab.git

Builds:
  - versionName: 3.0.5
    versionCode: 395
    commit: 17ae8a243a5b6431e4c4aafec88bf47eb6ee3188
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 3.0.6
    versionCode: 396
    commit: 867d2ed49288db686759f74f0edd6659713b42aa
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 3.0.9
    versionCode: 399
    commit: 10fefbe6d9528cfab638515be662cbab7b8a1fd7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 3.0.10
    versionCode: 400
    commit: 83ad77f3ea47c8aab394da953c6c5692f7ec5653
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 3.1.0
    versionCode: 402
    commit: a8617342c3e24fe58c064142cf55cbe4da8f4ce6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 3.2.0
    versionCode: 405
    commit: 9a929c2296be8943a034cda6e6096f47085644ab
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.3.0
    versionCode: 407
    commit: 3db408468802a08fe2d583920571732ce4931b14
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.3.1
    versionCode: 408
    commit: 1e65074a4b12e5de79c60359c818f4e89921ef2a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.3.2
    versionCode: 409
    commit: 2e3639dcb42a92c3e7cc39c41d4b73817bdec0a1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.4.1
    versionCode: 414
    commit: a14962d977fd03f58b19164e51389c6d0436bb8d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.4.2
    versionCode: 415
    commit: a14ffbc0948a704a216c9be0f0f593e7f77d7ff8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 3.5.0
    versionCode: 417
    commit: b340ed25c764f276b1d0f646a93712141f922dba
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.6.1
    versionCode: 422
    commit: e93f194bb53866d970f7281eac19e82ddeb2cc4e
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.6.3
    versionCode: 424
    commit: f7c7ea98ad3abbeb5b318fd3488e4daea556c64a
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.6.4
    versionCode: 425
    commit: e9fd84d7eb01f7e9f797d67ab65e73d31ef33e75
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.7.0
    versionCode: 427
    commit: 7dc9248543cc5012d8ca7ab2089d8d4dd7495e2b
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.7.4
    versionCode: 431
    commit: 9b45f57f87ccbcfb136ceb2be17b11d5c93e8037
    subdir: app
    gradle:
      - fdroid

  - versionName: 3.8.0
    versionCode: 433
    commit: 27f1d594bb2aac1342901372be703896c708275d
    subdir: app
    gradle:
      - fdroid

AutoUpdateMode: Version %v
UpdateCheckMode: Tags ^[0-9.]+$
CurrentVersion: 3.8.0
CurrentVersionCode: 433
